package cn.com.qmth.examcloud.core.questions.dao;

import cn.com.qmth.examcloud.core.questions.dao.entity.QuestionAudio;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import java.util.List;

/**
 * @author chenken
 * @date 2017年8月1日 上午11:31:23
 * @company QMTH
 */
public interface QuestionAudioRepo extends MongoRepository<QuestionAudio, String>, QueryByExampleExecutor<QuestionAudio> {

    public List<QuestionAudio> findByQuestionId(String questionId);

    public List<QuestionAudio> findByQuestionIdAndFileName(String questionId, String fileName);

    public List<QuestionAudio> findByQuestionIdIn(List<String> ids);

	public void deleteByOrgId(Long toRootOrgId);

}